%define gtkhtml_major 3.6
%define libgnomeprint_version 2.7.1
%define gnome_icon_theme_version 1.2.3

Summary:       GtkHTML 3.6 Compatibility Library
Name:          gtkhtml36
Version:       3.6.2
Release:       5%{?dist}
License:       LGPL/GPL
Group:         System Environment/Libraries
Url:           http://www.gnome.org/
Source:        ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/3.6/gtkhtml-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgnomeui-devel
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprint_version}
BuildRequires: gail-devel
BuildRequires: libtool, gettext, intltool
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
Requires:      gnome-icon-theme >= %{gnome_icon_theme_version}

# Partial band-aid for an editing crash (bug #129844)
# http://bugzilla.ximian.com/show_bug.cgi?id=50052
Patch1:        gtkhtml-3.3.0-crash.patch


%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

This package provides GtkHTML 3.6 for software that has not yet been
ported to GtkHTML 3.8.

%package devel
Summary:       Libraries, includes, etc. to develop gtkhtml applications
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      libgnomeui-devel
Requires:      libgnomeprintui22-devel >= 2.2.1

%description devel
Libraries and include files that can be used to develop GtkHTML applications
that require GtkHTML 3.6

%prep
%setup -q -n gtkhtml-%{version}

%patch1 -p1 -b .crash


%build
%configure
export tagname=CC
make LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtkhtml/*.la
# configure doesn't seem to respect the --disable-static flag
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gtkhtml/*.a

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{_libdir}/*.so.*
%dir %{_libdir}/gtkhtml
%{_libdir}/gtkhtml/*.so
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jun 03 2006 Michael A. Peters <mpeters@mac.com> - 3.6.2-5
- BuildRequires intltool (Bug #193476)

* Thu Apr 27 2006 Michael A. Peters <mpeters@mac.com> - 3.6.2-4
- Bump release tag for proper tagging before build

* Wed Apr 26 2006 Michael A. Peters <mpeters@mac.com> - 3.6.2-3
- Fixed issues in bugzilla 171314 comment 9

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 3.6.2-2
- Don't build static libs
- Change name to gtkhtml36 per packaging guidelines

* Thu Oct 20 2005 Michael A. Peters <mpeters@mac.com> - 3.6.2-1
- Created spec file based on Fedora Core 4 gtkhtml3-3.6.2-1
- spec file - changed name to compat-gtkhtml36
- removed redundant BuildRequires
- removed redundant Requires on devel package
- removed explicit libgnomeprint22 Requires (rpm picks up library)
- Added Url tag (rpmlint), Capitalized Summary (rpmlint), aligned
-  package metadata
